#ifndef DOCUMENTSAVER_H
#define DOCUMENTSAVER_H

#include <QThread>

#include "ksane_export.h"

class KSANE_EXPORT DocumentSaver : public QThread
{
Q_OBJECT

public:
    explicit DocumentSaver(QObject *parent = nullptr);

    virtual QString format() = 0;
    virtual QString mimeType() = 0;

    virtual bool newDocument(const QUrl &url, const QString &name, int dpi) = 0;
    virtual bool saveDocument() = 0;
    virtual bool savePage(const QByteArray &data, int width, int height, int bpl, int dpi, int format, const QString& fileFormat, int quality) = 0;
    virtual bool savePage(const QImage &page, int dpi) = 0;

Q_SIGNALS:
    void pageSaved(const QUrl &url, const QString &name, bool success) ;
    void documentSaved(const QString &name, bool success);
};

#endif // DOCUMENTSAVER_H
