#ifndef KSANEPAGESWIDGET_H
#define KSANEPAGESWIDGET_H

#include <QWidget>

#include "ksane_export.h"

#include "ksanepage.h"

class KSANE_EXPORT KSanePagesWidget : public QWidget
{
   Q_OBJECT
public:
    explicit KSanePagesWidget(QWidget *parent = nullptr)
        : QWidget(parent) {};

    virtual void addPage(const KSanePage &page) = 0;
    virtual QList<KSanePage> pages() = 0;       

public Q_SLOTS:
    virtual void rotateCurrentPageLeft() = 0;
    virtual void rotateCurrentPageRight() = 0;
    virtual void removeCurrentPage() = 0;
    virtual void saveCurrentPage() = 0;
    virtual void clipCurrentPage(const QRectF &rect) = 0;

Q_SIGNALS:
    void currentPageChanged(const KSanePage &page);
    void savePages(const QList<KSanePage> &pages);   
};

#endif // KSANEPAGESWIDGET_H
